/*
 * SPDX-FileCopyrightText: 2018-2024 Bruce Cowan <bruce@bcowan.me.uk>
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

#pragma once

#include <glib-object.h>

G_BEGIN_DECLS

#define RUGBY_TYPE_POSSIBILITY (rugby_possibility_get_type())

G_DECLARE_FINAL_TYPE (RugbyPossibility, rugby_possibility, RUGBY, POSSIBILITY, GObject)

RugbyPossibility *rugby_possibility_new (int tries,
                                         int utries,
                                         int kicks);

int rugby_possibility_get_tries  (RugbyPossibility *self);
int rugby_possibility_get_utries (RugbyPossibility *self);
int rugby_possibility_get_kicks  (RugbyPossibility *self);

int rugby_possibility_total_tries (RugbyPossibility *self);

G_END_DECLS
